package com.qmth.qrzk.repository.user.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.qmth.qrzk.repository.common.base.BaseDao;
import com.qmth.qrzk.repository.user.model.TeacherAssessmentDetail;

@Service
public class TeacherAssessmentDetailServiceImpl {
	@Autowired private BaseDao dao;
	
	
	
	public void addTeacherAssessmentDetail(List<TeacherAssessmentDetail> details){
		dao.insert("addTeacherAssessmentDetail", details);
	}
	
	public void updateTeacherAssessmentDetail(List<TeacherAssessmentDetail> details){
		for(TeacherAssessmentDetail detail : details){
			dao.update("updateTeacherAssessmentDetail", detail);
		}
	}
	
	public List<TeacherAssessmentDetail> queryAllByTeacherAssessmentId(int teacherAssessmentId){
		return dao.getList("queryAllByTeacherAssessmentId", teacherAssessmentId);
	}
}
